import java.awt.*;
import java.awt.event.*;
import Supporting.*;

public class NoCluster extends Cluster
{
    public NoCluster( )
    {
        setTitle( "No clustering " + LOAD_FACTOR  );
    }

    public void fillIt( )
    {
        for( int i = 0; i < (int) ( NUM_SLOTS * LOAD_FACTOR ); i++ )
        {
            int pos;
            do
                pos = r.randomInt( 0, NUM_SLOTS - 1 );
            while( slots[ pos ] != 0 );

            slots[ pos ]++;
        }
    }

}
